#include <stdio.h>
#include <gpio.h>
#include <uart.h>
#include <stm32f4xx.h>
#include <bsp.h>
#include <core.h>
#include <spi.h>

void ads1278readOut(spi_t spidev,int32_t* data)
{
    gpioset(ADC_FSYNC);
    delay_100us(1);
    gpioclr(ADC_FSYNC);
    for(int i=0;i<8;i++)
    {
        data[i]=spigetw(spidev)<<16;
        data[i]+=spigetw(spidev)<<8;
        data[i]+=spigetw(spidev);
        if((data[i]&(1<<23)))data[i]-=(1<<24);
    }

}

void pushData(int32_t* data)
{
    printf("%d;%d;%d\n\r",(int)data[0],(int)data[1],(int)data[2]);
}


int main()
{
    int32_t data[8];

	while(1)
	{
        ads1278readOut(spi1,data);
        gpioclr(LED2);
        delay_100us(1000);
        pushData(data);
        gpioset(LED2);
	}
}
